package com.hfkj.sysenum.discount;

import java.util.Objects;

/**
 * 优惠券code状态
 * @author hurui
 */
public enum DiscountStockCodeStatusEnum {
    /**
     * 不可用
     */
    status0(0 , "不可用"),
    /**
     * 未领取
     */
    status1(1 , "未领取"),
    /**
     * 未使用
     */
    status2(2 , "未使用"),
    /**
     * 已使用
     */
    status3(3 , "已使用"),
    /**
     * 已过期
     */
    status4(4 , "已过期"),
    ;

    private Integer code;
    private String name;

    DiscountStockCodeStatusEnum(int code , String name) {
        this.code = code;
        this.name = name;
    }

    public static String getNameByType(Integer code) {
        for (DiscountStockCodeStatusEnum ele : values()) {
            if(Objects.equals(code,ele.getCode())) return ele.getName();
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
